Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.logfleet.io/api/v1/metric-configs/{configId}/metrics \ --header 'Authorization: Bearer <token>'
{ "metrics": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "namespace": "<string>", "description": "<string>", "enabled": true, "source_field": "<string>", "filter": { "field": "<string>", "value": "<string>", "conditions": "<array>" }, "tags": [ { "name": "<string>", "value": "<string>" } ], "counter_opts": { "increment_by": "<string>" }, "gauge_opts": { "value_field": "<string>" }, "histogram_opts": { "value_field": "<string>", "buckets": [ 123 ] }, "cardinality": { "max_tag_cardinality": 1000, "on_limit_exceeded": "drop" }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "total": 123 }
Returns all metric definitions for a config
JWT token obtained from /auth/login
Metric config ID
List of metrics
Show child attributes